#!/usr/bin/perl -w
use POSIX;

# ================================================================
# Script rate.pl
# Author: Vikram Kanodia (kanodia@rice.edu) 
# Function:
#         Calculates rate over time
# Argument(s): rate.pl <num_nodes>
# =================================================================

open(TOP, $ARGV[1]);
$total = 0;
$total_d = 0;
$ind = 0;
$tf=0;
$tl=0;

#printf "$ARGV[0] $ARGV[1]";

while($line = <TOP>){
    @linetemp = split(" ",$line);
    if ($linetemp[0] eq '+'){
	if($linetemp[2] eq $ARGV[0]){
	    if($ind eq 0){
		$ind = 1;
		$tf = $linetemp[1];
	    } else {
		$tl = $linetemp[1];
	    }
	     $total = $total + 1;	   	
	}
    }
    if ($linetemp[0] eq 'd') {
	if($linetemp[2] eq $ARGV[0]) {
		$total_d = $total_d + 1;
	}
    }
}

$ploss = $total_d/$total;
printf "$total_d\t$total\t$ploss\n";


