#!/usr/bin/perl -w
use POSIX;

# ================================================================
# Script rate.pl
# Author: Vikram Kanodia (kanodia@rice.edu) 
# Function:
#         Calculates rate over time
# Argument(s): rate.pl <num_nodes>
# =================================================================

open(TOP, $ARGV[1]);
$total = 0;
$total_r = 0;
$offered = 0;
$thr = 0;
$ind = 0;
$tf=0;
$tl=0;

#printf "$ARGV[0] $ARGV[1]";

while($line = <TOP>){
    @linetemp = split(" ",$line);
    if ($linetemp[0] eq '+'){
	if($linetemp[2] eq $ARGV[0]){
	    if($ind eq 0){
		$ind = 1;
		$tf = $linetemp[1];
	    } else {
		$tl = $linetemp[1];
	    }
	     $total = $total + $linetemp[5];	   	
	}
    }
    if ($linetemp[0] eq 'r') {
	if($linetemp[2] eq $ARGV[0]) {
		$total_r = $total_r + $linetemp[5];
	}
    }
}


$offered = ($total*8)/($tl-$tf);
$thr = ($total_r*8)/($tl-$tf);
printf "$offered\t$thr\n";


