# awk -f results.awk out.packets > out.packets.results
# awk -f results1.awk out.packets.results
{
if ($1=="datadir:") {title = $2;}
if ($3=="ecn-syn:") {ecnsyn = $4;}
if ($3=="ecn-syn:") {ecnsynwait = $6;}
if ($1=="queue-method:") {byte_mode = $10;}
if ($3=="average" && $4=="response") {avg_response_size = $5;}
if ($1=="bottleneck" && $2=="bw" && $3=="10Mb") {
  bps = 10000000;
}
if ($1=="bottleneck" && $2=="bw" && $3=="100Mb") {
  bps = 100000000;
}
if ($2==10 && $3=="packets:") {
  time1 = $2;  
  packets1 = $4;
  bytes1 = $6;
  dropped1 = $8;
  marked1 = $10;
}
if ($2==85 && $3=="packets:") {
  time2 = $2;  
  packets2 = $4;
  bytes2 = $6;
  dropped2 = $8;
  marked2 = $10;
  time = time2 - time1;
  packets = packets2 - packets1;
  bytes = bytes2 - bytes1;
  dropped = dropped2 - dropped1;
  marked = marked2 - marked1;
  print title;
  printf "  bandwidth: %d avg_response_size: %d \n", bps, avg_response_size;
  printf "  ecn-syn: %d ecn-syn-wait: %d byte-mode: %d\n", ecnsyn, ecnsynwait,
     byte_mode;
  if (time > 0) {
      printf "  dropped: %d marked: %d drop-rate: %4.2f thput: %4.2f\n", 
           dropped, 
           marked, 
           100.0 * dropped/(packets+dropped), 
           (8*bytes)/(bps*time);
  } 
}
}
